#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

class CountBytes:
    def __init__(self, file):
        self.file = file
        self.count = 0

    def write(self, txt):
        self.file.write(txt)
        self.count += len(txt)

f = open('output_py.txt', 'w')
c1 = CountBytes(f)
c1.write('ceci\n')
c1.write('cela\n')
print(c1.count)

c2 = CountBytes(f)
c2.write('autre chose\n')

f.close()

c1.write('encore\n')
print(c1.count)

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
